JpegSampleValueTest Class Reference

`#include <JpegSampleValueTest.h>`

Inheritance diagram for JpegSampleValueTest:

## Public Member Functions

| JpegSampleValueTest (TestSuite *s)
void | setup (void)
void | cleanup (void)
void | testDistance (void)
void | testIsNeighbour (void)
Public Member Functions inherited from SampleValueTest
| SampleValueTest (std::string n, TestSuite *s)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

CvrStgFile * | f1
JpegSampleValue * | sv_m1
JpegSampleValue * | sv_0
JpegSampleValue * | sv_1
Globals | gl1

## Additional Inherited Members

Protected Member Functions inherited from SampleValueTest
bool | genericTestDistance (SampleValue *s1, SampleValue *s2, UWORD32 dist)
bool | genericTestIsNeighbour (SampleValue *s1, SampleValue *s2, bool res)
bool | genericTestEValue (SampleValue *s, EmbValue ev)
Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## JpegSampleValueTest()

JpegSampleValueTest::JpegSampleValueTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## cleanup()

void JpegSampleValueTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented from UnitTest.

## setup()

void JpegSampleValueTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testDistance()

void JpegSampleValueTest::testDistance | ( | void |  | ) |

## testIsNeighbour()

void JpegSampleValueTest::testIsNeighbour | ( | void |  | ) |

## Member Data Documentation

## f1

CvrStgFile* JpegSampleValueTest::f1

private

## gl1

Globals JpegSampleValueTest::gl1

private

## sv_0

JpegSampleValue * JpegSampleValueTest::sv_0

private

## sv_1

JpegSampleValue * JpegSampleValueTest::sv_1

private

## sv_m1

JpegSampleValue* JpegSampleValueTest::sv_m1

private

The documentation for this class was generated from the following files:

- JpegSampleValueTest.h
- JpegSampleValueTest.cc